Last modified: 2011-01-25 01:02:40 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16607 - rev_deleted should use the history buttons to affect ranges of revisions on the history tab
rev_deleted should use the history buttons to affect ranges of revisions on t...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Page deletion (Other open bugs)
1.14.x
All All
: Normal normal with 1 vote (vote)
: ---
Assigned To: Aaron Schulz
:
Depends on:
Blocks: 15644
  Show dependency treegraph
 
Reported: 2008-12-10 04:22 UTC by Mike.lifeguard
Modified: 2011-01-25 01:02 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mike.lifeguard 2008-12-10 04:22:11 UTC
Instead of requiring users to do whatever to each revision individually (courtesy of the clunky user interface), the radio buttons should be used for affecting ranges of revisions. That's what they're there for already, this is simply using an existing UI element for a new purpose. This would require adding such functionality to the backend, if it doesn't exist already (affecting ranges of of revisions instead of one at a time), and adding a button to go to Special:RevisionDelete.
Comment 1 Woojin Kim 2009-01-13 08:25:35 UTC
It should use checkboxes, rather than radio buttons. Radio buttons supports only 1 choice.
Comment 2 Mike.lifeguard 2009-01-13 17:33:31 UTC
(In reply to comment #1)
> It should use checkboxes, rather than radio buttons. Radio buttons supports
> only 1 choice.
> 

Except there is already UI for doing one revision at a time. I suppose it's still ugly for multiple revs that aren't together. However the need for affecting multiple non-contiguous revisions is going to pose big problems, but the need to affect multiple contiguous revisions /is/ a problem, for which this is a solution. Using the radio buttons which are already present on the history form is nice and clean, and supports a common use case using a pre-existing UI element.

If there is a demonstrable need for affecting multiple non-contiguous revisions in a manner not adequately supported by the existing UI, then perhaps you should open a bug requesting an interface like Special:Undelete which lists revisions with checkboxes (dunno how paging might be affected there) - repurposing the history form for that is a bad idea (and I don't know that it is needed in any case).
Comment 3 Mike.lifeguard 2009-01-13 17:35:37 UTC
> However the need for
> affecting multiple non-contiguous revisions is going to pose big problems, but

*isn't* going to pose big problems
Comment 4 FT2 2009-03-06 10:36:42 UTC
Replacing the 
 "Compare selected versions" 
button by 
 "Compare or Show/hide selected versions"
would do the job neatly
Comment 5 Mike.lifeguard 2009-03-06 14:39:30 UTC
(In reply to comment #4)
> Replacing the 
>  "Compare selected versions" 
> button by 
>  "Compare or Show/hide selected versions"
> would do the job neatly
> 

No, you want two different buttons. One for the diff, one for show/hide selected range. (and another for visual diff if it's enabled)
Comment 6 FT2 2009-03-19 14:02:04 UTC
I was thinking links rather than buttons. Same thing in the end though.
Comment 7 Mike.lifeguard 2009-03-19 14:04:58 UTC
(In reply to comment #6)
> I was thinking links rather than buttons. Same thing in the end though.
> 

Yes, see bug 16165. Buttons in this context are horrid for usability.
Comment 8 Aaron Schulz 2009-03-22 05:50:57 UTC
Note that the whole history page is already a big form for diffs, so it's not easy to *also* make it work for checking revision for RevisionDelete.

It would be easier to make some sort of JS checkboxes that build up a link though...
Comment 9 Mike.lifeguard 2009-04-05 01:48:27 UTC
(In reply to comment #8)
> Note that the whole history page is already a big form for diffs, so it's not
> easy to *also* make it work for checking revision for RevisionDelete.
> 
> It would be easier to make some sort of JS checkboxes that build up a link
> though...
> 

That'd be nice & could work for log hiding too, I imagine. That'd be really useful, instead of having "hid content for 1 event" tons of times, we could do it in batches.
Comment 10 Aaron Schulz 2009-04-11 17:41:00 UTC
Done in r49408

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links